Loading...
Searching...
No Matches
RDKit::EnumerateStereoisomers::details::AtropisomerFlipper Struct Reference

`#include <Flippers.h>`

Inheritance diagram for RDKit::EnumerateStereoisomers::details::AtropisomerFlipper:

## Public Member Functions

| AtropisomerFlipper ()=delete
| AtropisomerFlipper (RWMol &mol, const Chirality::StereoInfo &si)
| AtropisomerFlipper (const AtropisomerFlipper &other)=delete
| AtropisomerFlipper (AtropisomerFlipper &&other)=delete
AtropisomerFlipper & | operator= (const AtropisomerFlipper &other)=delete
AtropisomerFlipper & | operator= (AtropisomerFlipper &&other)=delete
| ~AtropisomerFlipper () override=default
void | flip (bool flag) override
Public Member Functions inherited from RDKit::EnumerateStereoisomers::details::Flipper
| Flipper ()=default
| Flipper (const Flipper &other)=delete
| Flipper (Flipper &&other)=delete
Flipper & | operator= (const Flipper &other)=delete
Flipper & | operator= (Flipper &&other)=delete
virtual | ~Flipper ()=default

## Public Attributes

Bond * | dp_bond {nullptr}
std::vector< unsigned int > | d_ctrlAtoms

## Detailed Description

Definition at line 88 of file Flippers.h.

## Constructor & Destructor Documentation

## AtropisomerFlipper() [1/4]

RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::AtropisomerFlipper | ( |  | ) |

delete

Referenced by AtropisomerFlipper(), AtropisomerFlipper(), operator=(), and operator=().

## AtropisomerFlipper() [2/4]

RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::AtropisomerFlipper | ( | RWMol & | mol,
|  | const Chirality::StereoInfo & | si )

## AtropisomerFlipper() [3/4]

RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::AtropisomerFlipper | ( | const AtropisomerFlipper & | other | ) |

delete

References AtropisomerFlipper().

## AtropisomerFlipper() [4/4]

RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::AtropisomerFlipper | ( | AtropisomerFlipper && | other | ) |

delete

References AtropisomerFlipper().

## ~AtropisomerFlipper()

RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::~AtropisomerFlipper | ( |  | ) |

override default

## Member Function Documentation

## flip()

void RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::flip | ( | bool | flag | ) |

override virtual

Implements RDKit::EnumerateStereoisomers::details::Flipper.

## operator=() [1/2]

AtropisomerFlipper & RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::operator= | ( | AtropisomerFlipper && | other | ) |

delete

References AtropisomerFlipper().

## operator=() [2/2]

AtropisomerFlipper & RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::operator= | ( | const AtropisomerFlipper & | other | ) |

delete

References AtropisomerFlipper().

## Member Data Documentation

## d_ctrlAtoms

std::vector<unsigned int> RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::d_ctrlAtoms

Definition at line 101 of file Flippers.h.

## dp_bond

Bond* RDKit::EnumerateStereoisomers::details::AtropisomerFlipper::dp_bond {nullptr}

Definition at line 100 of file Flippers.h.

The documentation for this struct was generated from the following file:

- Flippers.h